RIO_HW_ADD_INB_BUF(9)

NAME
rio_hw_add_inb_buffer - Add buffer to the MPC85xx inbound message queue

SYNOPSIS

int rio_hw_add_inb_buffer (struct rio_mport * mport, int mbox, void * buf);

ARGUMENTS

mport
    Master port implementing the inbound message unit

mbox
    Inbound mailbox number

buf Buffer to add to inbound queue

DESCRIPTION

Adds the buf buffer to the MPC85xx inbound message queue. Returns 0 on success or -EINVAL on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.